#ifndef INC_SPI_H
#define INC_SPI_H

//-------------------------------------------------
// Includes
//-------------------------------------------------
#include <avr/io.h>
#include <avr/interrupt.h>

//-------------------------------------------------
// Defines
//-------------------------------------------------
#define nCSi		PC2		// Chip Select Input-SR
#define nCSo		PC3		// Chip Select Output-SR
#define MOSI		PB3		// SPI Out
#define MISO		PB4		// SPI In
#define SCK			PB5		// SPI Clk
#define DDR_SPI		DDRB	// DDR der SPI
#define DDR_SR		DDRC	// DDR der Steuerleitungen der SR
#define PORT_SPI	PORTB	// SPI-Port
#define PORT_SR		PORTC	// SR-Port 


//-------------------------------------------------
// Makros
//-------------------------------------------------


//-------------------------------------------------
// Typdefinitionen
//-------------------------------------------------


//-------------------------------------------------
// Variablen
//-------------------------------------------------
uint8_t sr_out;	// Variable fr Ausgangs-Schieberegister 8Bit
int		sr_in;	// Variable fr eingangs-Schieberegister 16Bit

//-------------------------------------------------
// Funktions-Prototypen
//-------------------------------------------------
void			spi_init	();			// initialisiert SPI 
unsigned int	sr_get		();			// liest Lichtschranken aus
void			sr_set		(uint8_t);	// aktiviert Solenoids


#endif

